Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: martin rudalics <[email-masked]>
Date: Fri, 07 Jul 2017 08:52:06 +0200

> We need post-command-hook anyway, to add or remove the timer depending
 > on the last command. I don't recall the exact reasons for the choice
 > between the idle and non-idle timers, but flyspell comes to mind (and
 > its use of sit-for).

It would be interesting to know these reasons to avoid reinventing that
choice elsewhere.

 > Maybe that's enough. What if the user moves the Emacs frame around
 > with a mouse, without resizing? Will the tooltip window follow?

A child frame automatically moves along with its parent.  Normal frames
must be moved manually.  ‘move-frame-functions’ is the hook provided to
do that.

martin